> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all hardware tiers

> Get all hardware tiers. Required permissions: `ViewHardwareTiers`



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/hardwaretiers/v1/hardwaretiers
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/hardwaretiers/v1/hardwaretiers:
    get:
      tags:
        - HardwareTier
      summary: Get all hardware tiers
      description: 'Get all hardware tiers. Required permissions: `ViewHardwareTiers`'
      operationId: getAllHardwareTiers
      parameters:
        - description: How many hardware tiers from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: How many hardware tiers to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: Whether to include archived hardware tiers. Defaults to false.
          in: query
          name: includeArchived
          required: false
          schema:
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedHardwareTierEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    PaginatedHardwareTierEnvelopeV1:
      properties:
        hardwareTiers:
          items:
            $ref: '#/components/schemas/HardwareTierV1'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - hardwareTiers
        - metadata
      type: object
    HardwareTierV1:
      properties:
        availabilityZones:
          items:
            type: string
          type: array
        capacity:
          $ref: '#/components/schemas/HardwareTierCapacityV1'
        centsPerMinute:
          description: Cost per minute of using this hardware tier as defined by an Admin.
          format: double
          type: number
        computeClusterRestrictions:
          $ref: '#/components/schemas/HardwareTierComputeClusterRestrictionsV1'
        creationTime:
          description: When the hardware tier was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        dataPlaneId:
          type: string
        flags:
          $ref: '#/components/schemas/HardwareTierFlagsV1'
        gpuConfiguration:
          $ref: '#/components/schemas/HardwareTierGpuConfigurationV1'
        id:
          example: small-k8s
          type: string
        maxSimultaneousExecutions:
          type: integer
        metadata:
          additionalProperties:
            type: string
          type: object
        name:
          example: My-HardwareTier
          type: string
        nodePool:
          type: string
        overProvisioning:
          $ref: '#/components/schemas/HardwareTierOverProvisioningV1'
        podCustomization:
          $ref: '#/components/schemas/HardwareTierPodCustomizationV1'
        resources:
          $ref: '#/components/schemas/HardwareTierResourcesV1'
        tags:
          items:
            type: string
          type: array
        updateTime:
          description: When the hardwareTier was last updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - resources
        - flags
        - centsPerMinute
        - creationTime
        - updateTime
        - podCustomization
        - metadata
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    HardwareTierCapacityV1:
      description: >-
        Current capacity information for a hardware tier. Note: Not necessary on
        requests to update a hardware tier.
      properties:
        availableCapacityWithoutLaunching:
          type: integer
        capacityLevel:
          enum:
            - CanExecuteWithCurrentInstances
            - RequiresLaunchingInstance
            - Full
            - Unknown
          type: string
        executingRuns:
          type: integer
        maxAvailableCapacity:
          type: integer
        maxConcurrentRuns:
          type: integer
        maxNumberOfExecutors:
          type: integer
        numberOfExecutors:
          type: integer
        queuedRuns:
          type: integer
      required:
        - numberOfExecutors
        - maxNumberOfExecutors
        - executingRuns
        - queuedRuns
        - maxConcurrentRuns
        - availableCapacityWithoutLaunching
        - maxAvailableCapacity
        - capacityLevel
      type: object
    HardwareTierComputeClusterRestrictionsV1:
      description: Details about specific compute clusters a hardware tier is restricted to
      properties:
        restrictToDask:
          type: boolean
        restrictToMpi:
          type: boolean
        restrictToRay:
          type: boolean
        restrictToSpark:
          type: boolean
      required:
        - restrictToSpark
        - restrictToRay
        - restrictToDask
        - restrictToMpi
      type: object
    HardwareTierFlagsV1:
      description: Boolean flags for a hardware tier
      properties:
        isArchived:
          type: boolean
        isDataAnalystTier:
          type: boolean
        isDefault:
          type: boolean
        isDefaultForModelApi:
          type: boolean
        isGlobal:
          type: boolean
        isModelApiTier:
          type: boolean
        isVisible:
          type: boolean
      required:
        - isDefault
        - isVisible
        - isGlobal
        - isArchived
        - isDataAnalystTier
      type: object
    HardwareTierGpuConfigurationV1:
      description: Gpu configuration for a hardware tier
      properties:
        gpuKey:
          type: string
        numberOfGpus:
          type: integer
      required:
        - numberOfGpus
        - gpuKey
      type: object
    HardwareTierOverProvisioningV1:
      description: Over provisioning settings for a hardware tier
      properties:
        daysOfWeek:
          items:
            type: string
          type: array
        fromTime:
          type: string
        instances:
          type: integer
        schedulingEnabled:
          type: boolean
        timezone:
          type: string
        toTime:
          type: string
      required:
        - instances
        - schedulingEnabled
        - daysOfWeek
        - timezone
        - fromTime
        - toTime
      type: object
    HardwareTierPodCustomizationV1:
      description: Custom fields for hardwareTier
      properties:
        additionalAnnotations:
          additionalProperties:
            type: string
          type: object
        additionalLabels:
          additionalProperties:
            type: string
          type: object
        additionalLimits:
          additionalProperties:
            type: string
          type: object
        additionalRequests:
          additionalProperties:
            type: string
          type: object
        capabilities:
          items:
            type: string
          type: array
        hugepages:
          additionalProperties:
            type: string
          type: object
      type: object
    HardwareTierResourcesV1:
      description: Compute resources for a hardware tier
      properties:
        allowSharedMemoryToExceedDefault:
          type: boolean
        cores:
          example: 1
          format: double
          type: number
        coresLimit:
          format: double
          type: number
        memory:
          $ref: '#/components/schemas/InformationV1'
        memoryLimit:
          $ref: '#/components/schemas/InformationV1'
        memorySwapLimit:
          $ref: '#/components/schemas/InformationV1'
        sharedMemoryLimit:
          $ref: '#/components/schemas/InformationV1'
      required:
        - cores
        - memory
        - allowSharedMemoryToExceedDefault
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    InformationV1:
      properties:
        units:
          enum:
            - MB
            - MiB
            - GB
            - GiB
          type: string
        value:
          format: double
          type: number
      required:
        - value
        - units
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````